Bug 173282 - New port: security/keepassx2 Cross Platform Password Manager
Summary: New port: security/keepassx2 Cross Platform Password Manager
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Veniamin Gvozdikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-02 05:10 UTC by Eric Camachat
Modified: 2013-10-30 13:09 UTC (History)
0 users

See Also:


Attachments
file.shar (9.89 KB, text/plain)
2012-11-02 05:10 UTC, Eric Camachat
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Camachat 2012-11-02 05:10:00 UTC
New port, modify from security/keepassx.

Fix: Patch attached with submission follows:
Comment 1 Veniamin Gvozdikov freebsd_committer 2013-10-29 23:25:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vg

I will take it.
Comment 2 dfilter service freebsd_committer 2013-10-30 12:47:30 UTC
Author: vg
Date: Wed Oct 30 12:47:21 2013
New Revision: 332100
URL: http://svnweb.freebsd.org/changeset/ports/332100

Log:
  This is a next generation of security/keepassx which supporting a *.kdbx.
  
  PR:		ports/173282
  Submitted by:	Eric Camachat <eric@camachat.org>
  Approved by:	eadler, osa, rm (mentors, implicit)

Added:
  head/security/keepassx2/
  head/security/keepassx2/Makefile   (contents, props changed)
  head/security/keepassx2/distinfo   (contents, props changed)
  head/security/keepassx2/files/
  head/security/keepassx2/files/patch-CMakeLists.txt   (contents, props changed)
  head/security/keepassx2/pkg-descr   (contents, props changed)
  head/security/keepassx2/pkg-plist   (contents, props changed)
Modified:
  head/security/Makefile

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Wed Oct 30 12:46:44 2013	(r332099)
+++ head/security/Makefile	Wed Oct 30 12:47:21 2013	(r332100)
@@ -240,6 +240,7 @@
     SUBDIR += kc
     SUBDIR += kedpm
     SUBDIR += keepassx
+    SUBDIR += keepassx2
     SUBDIR += keychain
     SUBDIR += keynote
     SUBDIR += keyprint

Added: head/security/keepassx2/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/keepassx2/Makefile	Wed Oct 30 12:47:21 2013	(r332100)
@@ -0,0 +1,30 @@
+# Created by: Eric Camachat <eric@camachat.org>
+# $FreeBSD$
+
+PORTNAME=	KeePassX
+DISTVERSION=	2.0
+CATEGORIES=	security
+MASTER_SITES=	https://www.keepassx.org/dev/attachments/download/36/
+PKGNAMESUFFIX=	-alpha
+DISTNAME=	${PORTNAME:L}-${DISTVERSION}${PKGNAMESUFFIX}4
+
+MAINTAINER=	eric@camachat.org
+COMMENT=	Cross Platform Password Manager
+
+LIB_DEPENDS=	gcrypt:${PORTSDIR}/security/libgcrypt
+
+CONFLICTS_INSTALL=	keepassx-0.*
+
+DATADIR=	${PREFIX}/share/${PORTNAME:L}
+WRKSRC=		${WRKDIR}/${DISTNAME:L}
+
+USES=		cmake
+USE_GCC=	4.2+
+USE_LDCONFIG=	yes
+INSTALLS_ICONS=	yes
+USE_QT4=	corelib gui xml qtestlib dbus uic_build moc_build \
+		qmake_build rcc_build
+USE_XORG=	xt inputproto xtst xrender xrandr xfixes xcursor \
+		xext x11 sm ice xi
+
+.include <bsd.port.mk>

Added: head/security/keepassx2/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/keepassx2/distinfo	Wed Oct 30 12:47:21 2013	(r332100)
@@ -0,0 +1,2 @@
+SHA256 (keepassx-2.0-alpha4.tar.gz) = e71d36a3dbe35dc3d6e0cc9d1e6492f9c99381696abc664f596326258ef3bb0a
+SIZE (keepassx-2.0-alpha4.tar.gz) = 1034024

Added: head/security/keepassx2/files/patch-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/keepassx2/files/patch-CMakeLists.txt	Wed Oct 30 12:47:21 2013	(r332100)
@@ -0,0 +1,15 @@
+--- CMakeLists.txt.orig	2013-10-29 23:22:19.870422125 +0000
++++ CMakeLists.txt	2013-10-29 23:22:29.394420605 +0000
+@@ -175,9 +175,9 @@
+ 
+   int main() { return 0; }" ZLIB_SUPPORTS_GZIP)
+ 
+-if(NOT ZLIB_SUPPORTS_GZIP)
+-  message(FATAL_ERROR "zlib 1.2.x or higher is required to use the gzip format")
+-endif()
++#if(NOT ZLIB_SUPPORTS_GZIP)
++#  message(FATAL_ERROR "zlib 1.2.x or higher is required to use the gzip format")
++#endif()
+ 
+ if(UNIX)
+   check_cxx_source_compiles("#include <sys/prctl.h>

Added: head/security/keepassx2/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/keepassx2/pkg-descr	Wed Oct 30 12:47:21 2013	(r332100)
@@ -0,0 +1,9 @@
+KeePassX is a free/open-source password manager or safe which helps you
+to manage your passwords in a secure way.  You can put all your
+passwords in one database, which is locked with one master key or a
+key-disk.  So you only have to remember one single master password or
+insert the key-disk to unlock the whole database.  The databases are
+encrypted using the best and most secure encryption algorithms currently
+known (AES and Twofish).
+
+WWW: http://www.keepassx.org

Added: head/security/keepassx2/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/keepassx2/pkg-plist	Wed Oct 30 12:47:21 2013	(r332100)
@@ -0,0 +1,162 @@
+bin/keepassx
+lib/keepassx/libkeepassx-autotype-x11.so
+%%DATADIR%%/icons/database/C00_Password.png
+%%DATADIR%%/icons/database/C01_Package_Network.png
+%%DATADIR%%/icons/database/C02_MessageBox_Warning.png
+%%DATADIR%%/icons/database/C03_Server.png
+%%DATADIR%%/icons/database/C04_Klipper.png
+%%DATADIR%%/icons/database/C05_Edu_Languages.png
+%%DATADIR%%/icons/database/C06_KCMDF.png
+%%DATADIR%%/icons/database/C07_Kate.png
+%%DATADIR%%/icons/database/C08_Socket.png
+%%DATADIR%%/icons/database/C09_Identity.png
+%%DATADIR%%/icons/database/C10_Kontact.png
+%%DATADIR%%/icons/database/C11_Camera.png
+%%DATADIR%%/icons/database/C12_IRKickFlash.png
+%%DATADIR%%/icons/database/C13_KGPG_Key3.png
+%%DATADIR%%/icons/database/C14_Laptop_Power.png
+%%DATADIR%%/icons/database/C15_Scanner.png
+%%DATADIR%%/icons/database/C16_Mozilla_Firebird.png
+%%DATADIR%%/icons/database/C17_CDROM_Unmount.png
+%%DATADIR%%/icons/database/C18_Display.png
+%%DATADIR%%/icons/database/C19_Mail_Generic.png
+%%DATADIR%%/icons/database/C20_Misc.png
+%%DATADIR%%/icons/database/C21_KOrganizer.png
+%%DATADIR%%/icons/database/C22_ASCII.png
+%%DATADIR%%/icons/database/C23_Icons.png
+%%DATADIR%%/icons/database/C24_Connect_Established.png
+%%DATADIR%%/icons/database/C25_Folder_Mail.png
+%%DATADIR%%/icons/database/C26_FileSave.png
+%%DATADIR%%/icons/database/C27_NFS_Unmount.png
+%%DATADIR%%/icons/database/C28_QuickTime.png
+%%DATADIR%%/icons/database/C29_KGPG_Term.png
+%%DATADIR%%/icons/database/C30_Konsole.png
+%%DATADIR%%/icons/database/C31_FilePrint.png
+%%DATADIR%%/icons/database/C32_FSView.png
+%%DATADIR%%/icons/database/C33_Run.png
+%%DATADIR%%/icons/database/C34_Configure.png
+%%DATADIR%%/icons/database/C35_KRFB.png
+%%DATADIR%%/icons/database/C36_Ark.png
+%%DATADIR%%/icons/database/C37_KPercentage.png
+%%DATADIR%%/icons/database/C38_Samba_Unmount.png
+%%DATADIR%%/icons/database/C39_History.png
+%%DATADIR%%/icons/database/C40_Mail_Find.png
+%%DATADIR%%/icons/database/C41_VectorGfx.png
+%%DATADIR%%/icons/database/C42_KCMMemory.png
+%%DATADIR%%/icons/database/C43_EditTrash.png
+%%DATADIR%%/icons/database/C44_KNotes.png
+%%DATADIR%%/icons/database/C45_Cancel.png
+%%DATADIR%%/icons/database/C46_Help.png
+%%DATADIR%%/icons/database/C47_KPackage.png
+%%DATADIR%%/icons/database/C48_Folder.png
+%%DATADIR%%/icons/database/C49_Folder_Blue_Open.png
+%%DATADIR%%/icons/database/C50_Folder_Tar.png
+%%DATADIR%%/icons/database/C51_Decrypted.png
+%%DATADIR%%/icons/database/C52_Encrypted.png
+%%DATADIR%%/icons/database/C53_Apply.png
+%%DATADIR%%/icons/database/C54_Signature.png
+%%DATADIR%%/icons/database/C55_Thumbnail.png
+%%DATADIR%%/icons/database/C56_KAddressBook.png
+%%DATADIR%%/icons/database/C57_View_Text.png
+%%DATADIR%%/icons/database/C58_KGPG.png
+%%DATADIR%%/icons/database/C59_Package_Development.png
+%%DATADIR%%/icons/database/C60_KFM_Home.png
+%%DATADIR%%/icons/database/C61_Services.png
+%%DATADIR%%/icons/database/C62_Tux.png
+%%DATADIR%%/icons/database/C63_Feather.png
+%%DATADIR%%/icons/database/C64_Apple.png
+%%DATADIR%%/icons/database/C65_W.png
+%%DATADIR%%/icons/database/C66_Money.png
+%%DATADIR%%/icons/database/C67_Certificate.png
+%%DATADIR%%/icons/database/C68_BlackBerry.png
+%%DATADIR%%/icons/application/128x128/apps/keepassx.png
+%%DATADIR%%/icons/application/16x16/actions/application-exit.png
+%%DATADIR%%/icons/application/16x16/actions/auto-type.png
+%%DATADIR%%/icons/application/16x16/actions/configure.png
+%%DATADIR%%/icons/application/16x16/actions/database-change-key.png
+%%DATADIR%%/icons/application/16x16/actions/document-close.png
+%%DATADIR%%/icons/application/16x16/actions/document-edit.png
+%%DATADIR%%/icons/application/16x16/actions/document-encrypt.png
+%%DATADIR%%/icons/application/16x16/actions/document-new.png
+%%DATADIR%%/icons/application/16x16/actions/document-open.png
+%%DATADIR%%/icons/application/16x16/actions/document-save-as.png
+%%DATADIR%%/icons/application/16x16/actions/document-save.png
+%%DATADIR%%/icons/application/16x16/actions/edit-clear-locationbar-ltr.png
+%%DATADIR%%/icons/application/16x16/actions/edit-clear-locationbar-rtl.png
+%%DATADIR%%/icons/application/16x16/actions/entry-clone.png
+%%DATADIR%%/icons/application/16x16/actions/entry-delete.png
+%%DATADIR%%/icons/application/16x16/actions/entry-edit.png
+%%DATADIR%%/icons/application/16x16/actions/entry-new.png
+%%DATADIR%%/icons/application/16x16/actions/group-delete.png
+%%DATADIR%%/icons/application/16x16/actions/group-edit.png
+%%DATADIR%%/icons/application/16x16/actions/group-new.png
+%%DATADIR%%/icons/application/16x16/actions/help-about.png
+%%DATADIR%%/icons/application/16x16/actions/password-generate.png
+%%DATADIR%%/icons/application/16x16/actions/system-search.png
+%%DATADIR%%/icons/application/16x16/apps/keepassx.png
+%%DATADIR%%/icons/application/22x22/actions/dialog-close.png
+%%DATADIR%%/icons/application/22x22/actions/dialog-ok.png
+%%DATADIR%%/icons/application/22x22/actions/entry-delete.png
+%%DATADIR%%/icons/application/22x22/actions/entry-edit.png
+%%DATADIR%%/icons/application/22x22/actions/entry-new.png
+%%DATADIR%%/icons/application/22x22/actions/system-search.png
+%%DATADIR%%/icons/application/22x22/status/dialog-error.png
+%%DATADIR%%/icons/application/22x22/status/dialog-information.png
+%%DATADIR%%/icons/application/22x22/status/dialog-warning.png
+%%DATADIR%%/icons/application/24x24/apps/keepassx.png
+%%DATADIR%%/icons/application/256x256/apps/keepassx.png
+%%DATADIR%%/icons/application/32x32/apps/keepassx.png
+%%DATADIR%%/icons/application/48x48/apps/keepassx.png
+%%DATADIR%%/icons/application/64x64/apps/keepassx.png
+%%DATADIR%%/icons/application/scalable/apps/keepassx.svgz
+share/icons/hicolor/128x128/apps/keepassx.png
+share/icons/hicolor/16x16/apps/keepassx.png
+share/icons/hicolor/24x24/apps/keepassx.png
+share/icons/hicolor/256x256/apps/keepassx.png
+share/icons/hicolor/32x32/apps/keepassx.png
+share/icons/hicolor/48x48/apps/keepassx.png
+share/icons/hicolor/64x64/apps/keepassx.png
+share/icons/hicolor/scalable/apps/keepassx.svgz
+@dirrm lib/keepassx
+@dirrm %%DATADIR%%/icons/application/128x128/apps
+@dirrm %%DATADIR%%/icons/application/128x128
+@dirrm %%DATADIR%%/icons/application/16x16/actions
+@dirrm %%DATADIR%%/icons/application/16x16/apps
+@dirrm %%DATADIR%%/icons/application/16x16
+@dirrm %%DATADIR%%/icons/application/22x22/actions
+@dirrm %%DATADIR%%/icons/application/22x22/status
+@dirrm %%DATADIR%%/icons/application/22x22
+@dirrm %%DATADIR%%/icons/application/24x24/apps
+@dirrm %%DATADIR%%/icons/application/24x24
+@dirrm %%DATADIR%%/icons/application/256x256/apps
+@dirrm %%DATADIR%%/icons/application/256x256
+@dirrm %%DATADIR%%/icons/application/32x32/apps
+@dirrm %%DATADIR%%/icons/application/32x32
+@dirrm %%DATADIR%%/icons/application/48x48/apps
+@dirrm %%DATADIR%%/icons/application/48x48
+@dirrm %%DATADIR%%/icons/application/64x64/apps
+@dirrm %%DATADIR%%/icons/application/64x64
+@dirrm %%DATADIR%%/icons/application/scalable/apps
+@dirrm %%DATADIR%%/icons/application/scalable
+@dirrm %%DATADIR%%/icons/application
+@dirrm %%DATADIR%%/icons/database
+@dirrm %%DATADIR%%/icons
+@dirrm %%DATADIR%%
+@dirrmtry share/icons/hicolor/16x16/actions
+@dirrmtry share/icons/hicolor/16x16/apps
+@dirrmtry share/icons/hicolor/16x16
+@dirrmtry share/icons/hicolor/22x22/actions
+@dirrmtry share/icons/hicolor/22x22/status
+@dirrmtry share/icons/hicolor/22x22
+@dirrmtry share/icons/hicolor/24x24/apps
+@dirrmtry share/icons/hicolor/24x24
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/64x64/apps
+@dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/128x128/apps
+@dirrmtry share/icons/hicolor/128x128
+@dirrmtry share/icons/hicolor/scalable/apps
+@dirrmtry share/icons/hicolor/scalable
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Veniamin Gvozdikov freebsd_committer 2013-10-30 13:09:00 UTC
State Changed
From-To: open->closed

Committed, thank you!